#define oneWire_ODC ODCDbits.ODCD8
#define oneWire_TRIS TRISDbits.TRISD8
#define oneWire_PORT PORTDbits.RD8
#define oneWire LATDbits.LATD8

void delayNop(void);
void initOneWire(void);
//void resetOneWire(void);
unsigned char resetOneWire(void);
void writeOneWire(unsigned char level);
unsigned char readOneWire(void);
void skipRomOneWire(void);
void convertTOneWire(void);
void readScratchpadOneWire(void);